class Tabata
  attr_accessor :exercise_timer, :break_timer, :iteration

  def self.start
    Tabata.new.start
  end

  def initialize(exercise_timer = Timers::Exercise.new, break_timer = Timers::Break.new, iteration = 20)
    @exercise_timer = exercise_timer
    @break_timer = break_timer
    @iteration = iteration
  end

  def start
    @iteration.times do |i|
      print_round(i)
      @exercise_timer.start
      @break_timer.start
    end
    `say you very best!`
  end

  private
  def print_round(r)
    puts "Round #{r+1}"
  end
end
